LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XImageConsumer Interface Referencepublished

specifies a data sink for an image. More...

`import"XImageConsumer.idl";`

Inheritance diagram for XImageConsumer:

## Public Member Functions
void | init ([in] long Width, [in] long Height)
| initializes the consumer with image dimensions. More...
void | setColorModel ([in] short BitCount, [in] sequence< long > RGBAPal, [in] long RedMask, [in] long GreenMask, [in] long BlueMask, [in] long AlphaMask)
| changes color model for next pixels typically called once after initialization. More...
void | setPixelsByBytes ([in] long nX, [in] long nY, [in] long nWidth, [in] long nHeight, [in] sequence< byte > aProducerData, [in] long nOffset, [in] long nScanSize)
| delivers a chunk of pixels as `long` values. More...
void | setPixelsByLongs ([in] long nX, [in] long nY, [in] long nWidth, [in] long nHeight, [in] sequence< long > aProducerData, [in] long nOffset, [in] long nScanSize)
| delivers a chunk of pixels as `byte` values. More...
void | complete ([in] long Status, [in] XImageProducer xProducer)
| is called for the notification of the degree to which the image is delivered. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a data sink for an image.

An image consumer is a component which wants to display or just receive an image from an image producer.

See also
  XImageProducer

## Member Function Documentation

## ◆ complete()

void complete | ( | [in] long | Status,
|  | [in] XImageProducer | xProducer
| ) |  |

is called for the notification of the degree to which the image is delivered.

The complete method is called when the image producer has finished delivering all of the pixels that the source image contains, or when a single frame of a multi-frame animation has been completed, or when an error in loading or producing the image has occurred. The image consumer should remove itself from the list of consumers registered with the image producer at this time, unless it is interested in successive frames.

## ◆ init()

void init | ( | [in] long | Width,
|  | [in] long | Height
| ) |  |

initializes the consumer with image dimensions.

## ◆ setColorModel()

void setColorModel | ( | [in] short | BitCount,
|  | [in] sequence< long > | RGBAPal,
|  | [in] long | RedMask,
|  | [in] long | GreenMask,
|  | [in] long | BlueMask,
|  | [in] long | AlphaMask
| ) |  |

changes color model for next pixels typically called once after initialization.

## ◆ setPixelsByBytes()

void setPixelsByBytes | ( | [in] long | nX,
|  | [in] long | nY,
|  | [in] long | nWidth,
|  | [in] long | nHeight,
|  | [in] sequence< byte > | aProducerData,
|  | [in] long | nOffset,
|  | [in] long | nScanSize
| ) |  |

delivers a chunk of pixels as `long` values.

The pixels of the image are delivered using one or more calls to this method. Each call specifies the location and size of the rectangle of source pixels that are contained in the array of pixels. The specified color model object should be used to convert the pixels into their corresponding color and alpha components. Pixel (m,n) is stored in the pixels array at index (n * nScanSize

- m + nOffset).

## ◆ setPixelsByLongs()

void setPixelsByLongs | ( | [in] long | nX,
|  | [in] long | nY,
|  | [in] long | nWidth,
|  | [in] long | nHeight,
|  | [in] sequence< long > | aProducerData,
|  | [in] long | nOffset,
|  | [in] long | nScanSize
| ) |  |

delivers a chunk of pixels as `byte` values.

The pixels of the image are delivered using one or more calls to this method. Each call specifies the location and size of the rectangle of source pixels that are contained in the array of pixels. The specified color model object should be used to convert the pixels into their corresponding color and alpha components. Pixel (m,n) is stored in the pixels array at index (n * nScanSize

- m + nOffset).

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XImageConsumer.idl